PCRE2_SUBSTRING_LENGTH_BYNAME(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_substring_length_byname(pcre2_match_data *match_data,
  PCRE2_SPTR name, PCRE2_SIZE *length);

DESCRIPTION

This function returns the length of a matched substring, identified by name. The arguments are:

  match_data The match data block for the match
  name The substring name
  length Where to return the length

The yield is zero on success, or an error code if the substring is not found.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.